%{!?_with_bootstrap: %global bootstrap 0}

Name:           conda
Version:        3.17.0
Release:        6%{?dist}
Summary:        Cross-platform, Python-agnostic binary package manager

License:        BSD
URL:            http://conda.pydata.org/docs/
Source0:        https://github.com/conda/conda/archive/%{version}.tar.gz#/conda-%{version}.tar.gz
# https://github.com/conda/conda/pull/1637
Patch0:         0001-Allow-overriding-of-pkgs_dirs-in-.condarc.patch
# Do not remove /usr/bin from PATH
Patch1:         conda-rootless.patch
# https://github.com/conda/conda/pull/1651
Patch2:         0001-Do-not-create-broken-symlinks-if-activate-deactivate.patch
BuildArch:      noarch

BuildRequires:  python-devel
# For tests
BuildRequires:  pytest
%if ! 0%{?bootstrap}
BuildRequires:  conda
%endif
BuildRequires:  conda-env
BuildRequires:  python-crypto
BuildRequires:  python-pycosat
BuildRequires:  python-requests
BuildRequires:  python-yaml
Requires:       python-crypto
Requires:       python-pycosat
Requires:       python-requests
Requires:       python-yaml

%description
Conda is a cross-platform, Python-agnostic binary package manager. It is the
package manager used by Anaconda installations, but it may be used for other
systems as well. Conda makes environments first-class citizens, making it easy
to create independent environments even for C libraries. Conda is written
entirely in Python, and is BSD licensed open source.

%prep
%setup -q
%patch0 -p1
%patch1 -p1 -b .rootless
%patch2 -p1 -b .activate

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
cat > %{buildroot}%{_prefix}/.condarc << EOF
envs_dirs:
  - /opt/anaconda/envs
  - ~/conda/envs
pkgs_dirs:
 - /var/cache/conda/pkgs
EOF
mkdir -p %{buildroot}%{_localstatedir}/cache/conda/pkgs/cache

%if ! 0%{?bootstrap}
%check
# These fail due to /usr not being a conda environment
#tests/test_cli.py::TestJson::test_list FAILED
#tests/test_cli.py::TestJson::test_run FAILED
#tests/test_cli.py::TestJson::test_search FAILED
py.test -vv -k "not TestJson"

%endif

%files
%license LICENSE.txt
%doc CHANGELOG.txt README.rst
%{_bindir}/conda
%config(noreplace) %{_prefix}/.condarc
%{python_sitelib}/conda/
%{python_sitelib}/*.egg-info
%{_localstatedir}/cache/conda/

%changelog
* Thu Sep 24 2015 Orion Poplawski <orion@cora.nwra.com> - 3.17.0-6
- Do not create broken symlinks if activate/deactivate are not installed
- Do not create /usr/conda-meta to prevent accidental installs into system

* Thu Sep 24 2015 Orion Poplawski <orion@cora.nwra.com> - 3.17.0-5
- Non-bootstrap build

* Wed Sep 23 2015 Orion Poplawski <orion@cora.nwra.com> - 3.17.0-4
- Add patch to support rootless mode
- Require python-crypto
- Create /usr/conda-meta, /usr/.condarc, /var/cache/conda

* Tue Sep 22 2015 Orion Poplawski <orion@cora.nwra.com> - 3.17.0-3
- Require python-requests, python-yaml

* Tue Sep 22 2015 Orion Poplawski <orion@cora.nwra.com> - 3.17.0-2
- Add patch to allow overriding pkgs_dirs in .condarc

* Mon Sep 21 2015 Orion Poplawski <orion@cora.nwra.com> - 3.17.0-1
- Initial package
